import processing.serial.*;
import cc.arduino.*;

Arduino arduino;

PImage bg, bg2; 
color dunkel=color(0, 0, 0);
color hell = color(255, 255, 255);
color r1=hell;
color r2=hell;
color r3=hell;
color r4=hell;

void setup() 
{
  size(332, 310);
  frameRate(30);

  bg = loadImage("Fingerabdruck1.bmp");
  bg2 = loadImage("Fingerabdruck2.bmp");
  println(Arduino.list());
  arduino = new Arduino(this, Arduino.list()[0], 57600);
  //Arduinoausgänge sind Steckboardeingänge
  arduino.pinMode(13, Arduino.OUTPUT);//linksoben
  arduino.pinMode(12, Arduino.OUTPUT);//rechtsoben
  arduino.pinMode(11, Arduino.OUTPUT);//linksunten
  arduino.pinMode(10, Arduino.OUTPUT);//rechtsunten
  //Arduinoeingänge sind Steckplatinenausgänge
  arduino.pinMode(8, Arduino.INPUT);
  for (int i=0;i<4;i++) {
    arduino.digitalWrite(i+10, Arduino.HIGH);
  }
}

void draw() 
{
  //HIGH=Tür offen, LOW=Tür zu
  if (arduino.digitalRead(8) == Arduino.HIGH) {
    background(bg2);
  }
  else {
    background(bg);
  };
  strokeWeight(1);
  stroke(dunkel);
  fill(r1);
  rect(188, 22, 33, 33);
  stroke(dunkel);
  fill(r2);
  rect(221, 22, 33, 33);
  stroke(dunkel);
  fill(r3);
  rect(188, 55, 33, 33);
  stroke(dunkel);
  fill(r4);
  rect(221, 55, 33, 33);
}
void mousePressed()
{
  //linksoben, dunkel=LOW, hell=HIGH
  if (mouseX >= 189 && mouseX <= 220 &&  
    mouseY >= 22 && mouseY <= 55) {
    if (r1==dunkel) {
      arduino.digitalWrite(13, Arduino.HIGH);  
      r1=hell;
    }
    else {
      arduino.digitalWrite(13, Arduino.LOW);
      r1=dunkel;
    };
  };
  //rechtsoben   
  if (mouseX >= 221 && mouseX <= 253 && 
    mouseY >= 22 && mouseY <= 55) {
    if (r2==dunkel) {
      arduino.digitalWrite(12, Arduino.HIGH);
      r2=hell;
    }
    else {
      r2=dunkel;
      arduino.digitalWrite(12, Arduino.LOW);
    };
  };

  //linksunten
  if (mouseX >= 189 && mouseX <= 220 && 
    mouseY >= 56 && mouseY <= 88) {
    if (r3==dunkel) {
      arduino.digitalWrite(11, Arduino.HIGH);  
      r3=hell;
    }
    else {
      r3=dunkel;
      arduino.digitalWrite(11, Arduino.LOW);
    };
  };

  //rechtsunten
  if (mouseX >= 221 && mouseX <= 253 && 
    mouseY >= 56 && mouseY <= 88) {
    if (r4==dunkel) {
      arduino.digitalWrite(10, Arduino.HIGH);  
      r4=hell;
    }
    else {
      r4=dunkel;
      arduino.digitalWrite(10, Arduino.LOW);
    };
  };
}

